/*

 * Copyright (C) 2004 Rational Software Corporation. All rights reserved.

 * 

 * This example code is part of

 * IBM Rational Functional Tester Extension for Terminal-based Applications

 *

 * This source code is intended only as a supplement to 

 * IBM Rational Functional Tester Extension for Terminal-based Applications.

 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND,

 * EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED

 * WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.

 */

import com.rational.test.ft.object.interfaces.TestObject;

import com.rational.test.ft.script.RationalTestScript;



public class TerminalScript extends RationalTestScript

{

	/**

	 * @param screen

	 * @return

	 */

	protected String formatScreenText(TestObject screen, boolean html)

	{

		String unformatted = (String) screen.getProperty(".textPlane");

		int columns = ((Integer)screen.getProperty("columns")).intValue();

		int rows = ((Integer)screen.getProperty("rows")).intValue();

		

		String formatted = "";

		for (int i = 0; i < rows; i++)

		{

			formatted += unformatted.substring(i * columns, (i + 1) * columns) + "\n";

		}

		

		if (html)

			formatted = "<pre>" + formatted + "</pre>";

		

		return formatted;		

	}



	static final public String COPYRIGHT = "5724-J07 (C) Copyright IBM Corp. 2004 All rights reserved.";

	static final public String COPYRIGHT = "5724-J07 (C) Copyright IBM Corp. 2004 All rights reserved.";

}

